Bug 310645 - sftp error message: sentences mixed up
Summary: sftp error message: sentences mixed up
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: sftp (show other bugs)
Version: 4.9.3
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andreas Schneider
URL:
Keywords:
: 308799 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-11-25 12:58 UTC by Michael G. Hansen
Modified: 2012-12-14 16:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.5


Attachments
Screenshot of error message (63.73 KB, image/png)
2012-11-25 19:48 UTC, Michael G. Hansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael G. Hansen 2012-11-25 12:58:53 UTC
I entered sftp://name-of-host/ into the location bar. Then I got an error message right under the location bar: "Connection to host The host key for this server was not found, but another type of key exists.
An attacker might change the default server key to confuse your client into thinking the key does not exist.
Please contact your system administrator.
 is broken." (see screenshot).

Obviously the sentence "Connection to host is broken" and the real error message seem to be mixed.
Connection to the host works via fish, scp on the command line and ssh on the command line.



Reproducible: Always
Comment 1 Jekyll Wu 2012-11-25 15:39:18 UTC
You forgot the screenshot :)
Comment 2 Frank Reininghaus 2012-11-25 17:03:33 UTC
It looks like the text comes from "QString KIO::buildErrorString(int errorCode, const QString &errorText)", in kio/kio/global.cpp in kdelibs. But I'm not sure if that function is wrong or if it's being used incorrectly by KIO/sftp.
Comment 3 Michael G. Hansen 2012-11-25 19:48:46 UTC
Created attachment 75474 [details]
Screenshot of error message

Here is the forgotten screenshot ;-)
Comment 4 Benni Hill 2012-12-08 17:20:52 UTC
*** Bug 308799 has been marked as a duplicate of this bug. ***
Comment 5 Aurelien Gateau 2012-12-13 13:30:20 UTC
Review request there: https://git.reviewboard.kde.org/r/107700/
Comment 6 Aurelien Gateau 2012-12-14 13:28:18 UTC
Git commit 09a3d51e8c00f1a8d6662ea9a83ee593f0504eb7 by Aurélien Gâteau.
Committed on 13/12/2012 at 14:23.
Pushed by gateau into branch 'master'.

Fix mixed sentences in error messages
REVIEW: 107700

M  +6    -6    kioslave/sftp/kio_sftp.cpp

http://commits.kde.org/kde-runtime/09a3d51e8c00f1a8d6662ea9a83ee593f0504eb7
Comment 7 Aurelien Gateau 2012-12-14 13:44:45 UTC
Git commit cd24bf87a05c5b3510c9df4260d4e1d2295f500e by Aurélien Gâteau.
Committed on 13/12/2012 at 14:23.
Pushed by gateau into branch 'KDE/4.9'.

Fix mixed sentences in error messages
REVIEW: 107700

M  +6    -6    kioslave/sftp/kio_sftp.cpp

http://commits.kde.org/kde-runtime/cd24bf87a05c5b3510c9df4260d4e1d2295f500e